Bug 698731 - mdadm[1584]: segfault at 0 ip ....error 4 in mdadm
mdadm[1584]: segfault at 0 ip ....error 4 in mdadm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 12:04 EDT by Clyde E. Kunkel
Modified: 2011-07-15 09:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-15 09:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2011-04-21 12:04:15 EDT
Description of problem:
during startup, [   59.773738] mdadm[1584]: segfault at 0 ip 0000000000422f36 sp 00007fffc59166a0 error 4 in mdadm[400000+60000]


Version-Release number of selected component (if applicable):
mdadm-3.2.1-4.fc16.x86_64

How reproducible:
every system startup

Steps to Reproduce:
1. boot system
2.
3.
  
Actual results:
as above

Expected results:
no segfault

Additional info:
Doesn't appear to affect running of system.  Not present in F15 on same hardware, same raid sets, lvs, etc. Selinux in permissive mode. 

$ dmesg | grep -B 20 -A 10 mdadm
[   11.419579] dracut: inactive '/dev/VolGroup02/omega11' [20.00 GiB] inherit
[   11.421301] dracut: inactive '/dev/VolGroup02/centos' [20.00 GiB] inherit
[   11.422973] dracut: inactive '/dev/VolGroup02/suse' [20.00 GiB] inherit
[   11.424661] dracut: inactive '/dev/VolGroup02/fedora13' [20.00 GiB] inherit
[   11.426379] dracut: inactive '/dev/VolGroup02/ubuntu' [15.00 GiB] inherit
[   11.428077] dracut: inactive '/dev/VolGroup02/rhel6' [20.00 GiB] inherit
[   11.429766] dracut: inactive '/dev/VolGroup02/mandriva' [12.00 GiB] inherit
[   11.431524] dracut: inactive '/dev/VolGroup02/downloads' [40.00 GiB] inherit
[   11.839058] dracut: Volume group "VolGroup00" not found
[   11.840781] dracut: Skipping volume group VolGroup00
[   11.853235] dracut: Autoassembling MD Raid
[   12.147531] md: md127 stopped.
[   12.153624] md: bind<sdb1>
[   12.156436] md: bind<sdc1>
[   12.158458] md: bind<sdd1>
[   12.163103] md: bind<sda1>
[   12.170340] md: raid10 personality registered for level 10
[   12.173090] bio: create slab <bio-1> at 1
[   12.175043] md/raid10:md127: active with 4 out of 4 devices
[   12.176740] md127: detected capacity change from 0 to 83885948928
[   12.178619] dracut: mdadm: /dev/md127 has been started with 4 drives.
[   12.182340]  md127: unknown partition table
[   12.388344] dracut: Scanning devices md127 sda2 sdb6 sdc2 sdd2 sde1 sde2  for LVM logical volumes VolGroup00/rawhide
[   12.494139] dracut: inactive '/dev/VolGroup03/debian60' [13.97 GiB] inherit
[   12.495982] dracut: inactive Original '/dev/VolGroup01/clydehome' [19.53 GiB] inherit
[   12.497755] dracut: inactive '/dev/VolGroup01/secondhome' [20.00 GiB] inherit
[   12.499536] dracut: inactive Snapshot '/dev/VolGroup01/clydesnap' [20.00 GiB] inherit
[   12.501310] dracut: inactive '/dev/VolGroup02/omega11' [20.00 GiB] inherit
[   12.503072] dracut: inactive '/dev/VolGroup02/centos' [20.00 GiB] inherit
[   12.504819] dracut: inactive '/dev/VolGroup02/suse' [20.00 GiB] inherit
[   12.506590] dracut: inactive '/dev/VolGroup02/fedora13' [20.00 GiB] inherit
--
[   19.909908] mtp-probe[766]: checking bus 1, device 2: "/sys/devices/pci0000:00/0000:00:1a.7/usb1/1-3"
[   19.945984] mtp-probe[780]: checking bus 8, device 4: "/sys/devices/pci0000:00/0000:00:1d.2/usb8/8-2/8-2.4"
[   19.980868] mtp-probe[787]: checking bus 8, device 3: "/sys/devices/pci0000:00/0000:00:1d.2/usb8/8-2/8-2.1"
[   20.051588] Linux media interface: v0.10
[   20.082420] Linux video capture interface: v2.00
[   20.228647] microcode: CPU0 sig=0x10677, pf=0x10, revision=0x703
[   20.230950] microcode: CPU1 sig=0x10677, pf=0x10, revision=0x703
[   20.232765] microcode: CPU2 sig=0x10677, pf=0x10, revision=0x703
[   20.234564] microcode: CPU3 sig=0x10677, pf=0x10, revision=0x703
[   20.236425] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[   20.254854] mtp-probe[787]: bus: 8, device: 3 was not an MTP device
[   20.259158] mtp-probe[780]: bus: 8, device: 4 was not an MTP device
[   20.301939] mtp-probe[766]: bus: 1, device: 2 was not an MTP device
[   20.354424] HDA Intel 0000:01:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   20.356541] HDA Intel 0000:01:00.1: irq 48 for MSI/MSI-X
[   20.356622] HDA Intel 0000:01:00.1: setting latency timer to 64
[   20.362539] uvcvideo: Found UVC 1.00 device <unnamed> (046d:0809)
[   20.379627] input: UVC Camera (046d:0809) as /devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/input/input5
[   20.383558] usbcore: registered new interface driver uvcvideo
[   20.385383] USB Video Class driver (v1.0.0)
[   20.404897] type=1400 audit(1303400234.394:11): avc:  denied  { read } for  pid=860 comm="mdadm" name="md127" dev=devtmpfs ino=9552 scontext=system_u:system_r:mdadm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=blk_file
[   20.463825] ALSA sound/pci/hda/hda_eld.c:352: HDMI: ELD buf size is 0, force 128
[   20.466423] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 0
[   20.468417] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 1
[   20.470648] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 2
[   20.472660] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 3
[   20.474719] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 4
[   20.476567] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 5
[   20.478393] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 6
[   20.480221] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 7
[   20.482204] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 8
--
[   20.577468] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 121
[   20.577862] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 122
[   20.578267] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 123
[   20.578655] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 124
[   20.579048] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 125
[   20.579434] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 126
[   20.579819] ALSA sound/pci/hda/hda_eld.c:161: HDMI: invalid ELD data byte 127
[   20.580208] ALSA sound/pci/hda/hda_eld.c:267: HDMI: Unknown ELD version 0
[   20.599004] microcode: CPU0 updated to revision 0x70a, date = 2010-09-29
[   20.612006] microcode: CPU1 updated to revision 0x70a, date = 2010-09-29
[   20.618793] microcode: CPU2 updated to revision 0x70a, date = 2010-09-29
[   20.638172] microcode: CPU3 updated to revision 0x70a, date = 2010-09-29
[   20.724665] cfg80211: Calling CRDA to update world regulatory domain
[   20.838409] ALSA sound/usb/mixer.c:803: 5:2: cannot get min/max values for control 2 (id 5)
[   20.839061] ALSA sound/usb/mixer.c:1153: set resolution quirk: cval->res = 384
[   20.842859] usbcore: registered new interface driver snd-usb-audio
[   21.115761] SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
[   21.195421] Adding 3952636k swap on /dev/sda3.  Priority:0 extents:1 across:3952636k 
[   21.283681] udev[665]: renamed network interface eth0 to pci37p1
[   21.303478] audit_printk_skb: 3 callbacks suppressed
[   21.304444] type=1400 audit(1303400235.293:13): avc:  denied  { create } for  pid=996 comm="mdadm" name="localhost.localdomain:0" scontext=system_u:system_r:mdadm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=lnk_file
[   21.313743] type=1400 audit(1303400235.303:14): avc:  denied  { read } for  pid=984 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.328020] md: bind<sdd3>
[   21.332039] type=1400 audit(1303400235.321:15): avc:  denied  { read } for  pid=1021 comm="net.hotplug" name="lock" dev=dm-0 ino=263677 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_t:s0 tclass=lnk_file
[   21.355365] type=1400 audit(1303400235.345:16): avc:  denied  { read } for  pid=983 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.400797] type=1400 audit(1303400235.390:17): avc:  denied  { read } for  pid=903 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.416758] cfg80211: World regulatory domain updated:
[   21.418426] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   21.420076] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   21.421758] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   21.423420] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   21.424903] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   21.426616] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   21.437034] type=1400 audit(1303400235.426:18): avc:  denied  { read } for  pid=980 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.438979] type=1400 audit(1303400235.428:19): avc:  denied  { read } for  pid=982 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.450083] type=1400 audit(1303400235.440:20): avc:  denied  { read } for  pid=1004 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.454635] type=1400 audit(1303400235.444:21): avc:  denied  { read } for  pid=974 comm="udisks-lvm-pv-e" name="md" dev=devtmpfs ino=7013 scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mdadm_var_run_t:s0 tclass=dir
[   21.501275] md: bind<sdc3>
[   21.511834] type=1400 audit(1303400235.501:22): avc:  denied  { module_request } for  pid=998 comm="mdadm" kmod="md-level-1" scontext=system_u:system_r:mdadm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=system
[   21.515411] md: personality for level 1 is not loaded!
[   21.726478] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   21.730100] ieee80211 phy0: hwaddr 00:15:af:51:b5:3d, RTL8187vB (default) V1 + rtl8225z2, rfkill mask 2
[   21.765039] rtl8187: Customer ID is 0x00
[   21.768687] Registered led device: rtl8187-phy0::radio
[   21.771221] Registered led device: rtl8187-phy0::tx
[   21.772161] Registered led device: rtl8187-phy0::rx
[   21.774279] rtl8187: wireless switch is on
[   21.777681] usbcore: registered new interface driver rtl8187
[   21.971266] cfg80211: Calling CRDA for country: US
--
[   57.985938] dbus[1359]: avc:  netlink poll: error 4
[   57.989369] smartd[1334]: Device: /dev/sde [SAT], is SMART capable. Adding to "monitor" list.
[   57.992858] smartd[1334]: Device: /dev/sdf, type changed from 'scsi' to 'sat'
[   57.995060] smartd[1334]: Device: /dev/sdf [SAT], opened
[   57.997578] smartd[1334]: Device: /dev/sdf [SAT], found in smartd database.
[   58.350491] auditd (1402): /proc/1402/oom_adj is deprecated, please use /proc/1402/oom_score_adj instead.
[   59.202328] sky2 0000:02:00.0: pci37p1: enabling interface
[   59.211316] ADDRCONF(NETDEV_UP): pci37p1: link is not ready
[   59.294178] Bluetooth: Core ver 2.16
[   59.296961] NET: Registered protocol family 31
[   59.299204] Bluetooth: HCI device and connection manager initialized
[   59.301641] Bluetooth: HCI socket layer initialized
[   59.303797] Bluetooth: L2CAP socket layer initialized
[   59.306677] Bluetooth: SCO socket layer initialized
[   59.446343] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   59.448717] Bluetooth: BNEP filters: protocol multicast
[   59.689790] RPC: Registered udp transport module.
[   59.692803] RPC: Registered tcp transport module.
[   59.695509] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   59.714379] SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
[   59.773738] mdadm[1584]: segfault at 0 ip 0000000000422f36 sp 00007fffc59166a0 error 4 in mdadm[400000+60000]
[   61.782257] sky2 0000:02:00.0: pci37p1: Link is up at 1000 Mbps, full duplex, flow control both
[   61.791804] ADDRCONF(NETDEV_CHANGE): pci37p1: link becomes ready
[   67.885072] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
[   72.594016] pci37p1: no IPv6 routers present
[   84.653346] fuse init (API version 7.16)
[   84.682395] SELinux: initialized (dev fusectl, type fusectl), uses genfs_contexts
[   84.685231] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[   91.973732] SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
Comment 1 Clyde E. Kunkel 2011-06-15 10:20:20 EDT
These continue and have never stopped.  Would someone please comment. Is this a kernel error or mdadm error?  Kernel is latest 3.0 and latest mdadm with patch for 3.0 kernels.

Even tho there does not seem to be any fall-out from the segfault, it is disconcerting to see them and maybe something is getting ready to break.

....

Jun 15 09:55:40 P5K-EWIFI kernel: [   78.072958] mdadm[1593]: segfault at 0 ip 0000000000422f66 sp 00007fff43a0a610 error 4 in mdadm[400000+60000]

....

[kunkelc@P5K-EWIFI ~]$ sudo mdadm --detail /dev/md*
mdadm: /dev/md does not appear to be an md device
/dev/md126:
        Version : 1.1
  Creation Time : Sun Sep 26 11:36:53 2010
     Raid Level : raid1
     Array Size : 64132028 (61.16 GiB 65.67 GB)
  Used Dev Size : 64132028 (61.16 GiB 65.67 GB)
   Raid Devices : 2
  Total Devices : 2
    Persistence : Superblock is persistent

  Intent Bitmap : Internal

    Update Time : Tue May 31 21:35:02 2011
          State : active
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0

           Name : localhost.localdomain:0
           UUID : 37471a73:f937b838:9ab6ce60:5083ccbc
         Events : 607

    Number   Major   Minor   RaidDevice State
       0       8       35        0      active sync   /dev/sdc3
       1       8       51        1      active sync   /dev/sdd3
/dev/md127:
        Version : 0.90
  Creation Time : Tue Aug 25 23:23:50 2009
     Raid Level : raid10
     Array Size : 81919872 (78.12 GiB 83.89 GB)
  Used Dev Size : 40959936 (39.06 GiB 41.94 GB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 127
    Persistence : Superblock is persistent

    Update Time : Wed Jun 15 10:16:15 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0

         Layout : near=2
     Chunk Size : 64K

           UUID : b9438b55:1d815c8b:bfe78010:bc810f04
         Events : 0.329739

    Number   Major   Minor   RaidDevice State
       0       8        1        0      active sync   /dev/sda1
       1       8       17        1      active sync   /dev/sdb1
       2       8       33        2      active sync   /dev/sdc1
       3       8       49        3      active sync   /dev/sdd1
[kunkelc@P5K-EWIFI ~]$
Comment 2 Doug Ledford 2011-07-14 20:28:13 EDT
Does this still continue?  A recent build of mdadm was added to rawhide that updated mdadm to 3.2.2 and might have resolved the issue.
Comment 3 Clyde E. Kunkel 2011-07-15 09:57:03 EDT
Fixed, closing.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.